[arch-commits] Commit in qemu/trunk (PKGBUILD kvm-bios.diff)

Tobias Powalowski tpowa at archlinux.org
Mon Aug 4 07:01:03 EDT 2008


    Date: Monday, August 4, 2008 @ 07:00:56
  Author: tpowa
Revision: 7796

upgpkg: qemu 0.9.1-8

Added:
  qemu/trunk/kvm-bios.diff
Modified:
  qemu/trunk/PKGBUILD

---------------+
 PKGBUILD      |   28 +++++++++++++++++-----------
 kvm-bios.diff |   17 +++++++++++++++++
 2 files changed, 34 insertions(+), 11 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-04 10:31:40 UTC (rev 7795)
+++ PKGBUILD	2008-08-04 11:00:56 UTC (rev 7796)
@@ -1,9 +1,9 @@
 # $Id$
-# Maintainer: Thomas B�chler <thomas at archlinux.org>
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
 pkgname=qemu
 pkgver=0.9.1
-pkgrel=6
-_kvmver=67
+pkgrel=8
+_kvmver=72
 pkgdesc="QEMU is a generic and open source processor emulator which achieves a good emulation speed by using dynamic translation."
 arch=(i686 x86_64)
 license=('GPL')
@@ -13,7 +13,8 @@
 install=qemu.install
 source=(http://bellard.org/${pkgname}/${pkgname}-${pkgver}.tar.gz \
         70-kqemu.rules \
-        http://downloads.sourceforge.net/kvm/kvm-$_kvmver.tar.gz)
+        http://downloads.sourceforge.net/kvm/kvm-$_kvmver.tar.gz\
+	kvm-bios.diff)
 
 build()
 {
@@ -37,7 +38,8 @@
 
   # we add the kvm/qemu version
     cd ${startdir}/src/kvm-$_kvmver
-    ./configure --prefix=/usr --enable-alsa
+    patch -Np1 -i ../kvm-bios.diff || return 1
+    ./configure --prefix=/usr
   # fix sdl compilation, JON: and extboot
     sed -i -e 's#-rpath,/usr/lib#-rpath,/usr/lib,-rpath,/lib#g' qemu/config-host.mak
     for dir in libkvm user qemu extboot; do
@@ -50,12 +52,16 @@
     install -D -m644 ${startdir}/src/kvm-$_kvmver/scripts/65-kvm.rules \
     	${startdir}/pkg/etc/udev/rules.d/65-kvm.rules || return 1
    # install kvm bios files
-   cp -f ${startdir}/src/kvm-$_kvmver/qemu/pc-bios/* \
-	${startdir}/pkg/usr/share/qemu/
-   # JON: install extboot.bin
-    cp -f ${startdir}/src/kvm-$_kvmver/extboot/extboot.bin \
-	${startdir}/pkg/usr/share/qemu/
+   install -D -m644 ${startdir}/src/kvm-$_kvmver/qemu/pc-bios/bios.bin \
+       ${startdir}/pkg/usr/share/qemu/bios-kvm.bin
+   install -D -m644 ${startdir}/src/kvm-$_kvmver/qemu/pc-bios/vgabios.bin \
+       ${startdir}/pkg/usr/share/qemu/vgabios-kvm.bin
+   install -D -m644 ${startdir}/src/kvm-$_kvmver/qemu/pc-bios/vgabios-cirrus.bin \
+       ${startdir}/pkg/usr/share/qemu/vgabios-cirrus-kvm.bin
+   install -D -m644 ${startdir}/src/kvm-$_kvmver/extboot/extboot.bin \
+	${startdir}/pkg/usr/share/qemu/extboot-kvm.bin
 }
 md5sums=('6591df8e9270eb358c881de4ebea1262'
          'ec06591830b8fcf53913f05f3d66f7e5'
-         '42e6bbf5a9be5b85b0029f489b6c1896')
+         'e4f99d05dee168200695850165cd760e'
+         '1cdfcbd3cc569eec96a36d7557291fd2')

Added: kvm-bios.diff
===================================================================
--- kvm-bios.diff	                        (rev 0)
+++ kvm-bios.diff	2008-08-04 11:00:56 UTC (rev 7796)
@@ -0,0 +1,17 @@
+--- kvm-72/qemu/hw/pc.c.orig	2008-05-06 20:48:35.468799015 +0200
++++ kvm-72/qemu/hw/pc.c	2008-05-06 20:50:00.392123267 +0200
+@@ -37,10 +37,10 @@
+ /* output Bochs bios info messages */
+ //#define DEBUG_BIOS
+ 
+-#define BIOS_FILENAME "bios.bin"
+-#define VGABIOS_FILENAME "vgabios.bin"
+-#define VGABIOS_CIRRUS_FILENAME "vgabios-cirrus.bin"
+-#define EXTBOOT_FILENAME "extboot.bin"
++#define BIOS_FILENAME "bios-kvm.bin"
++#define VGABIOS_FILENAME "vgabios-kvm.bin"
++#define VGABIOS_CIRRUS_FILENAME "vgabios-cirrus-kvm.bin"
++#define EXTBOOT_FILENAME "extboot-kvm.bin"
+ 
+ #define PC_MAX_BIOS_SIZE (4 * 1024 * 1024)
+




More information about the arch-commits mailing list